Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.security.torque
Interface RolePeerManagerConstants

All Known Implementing Classes:
  RolePeerManager

    public interface RolePeerManagerConstants

Constants for configuring the various columns and bean properties for the used peer.

     Default is:

     security.torque.rolePeer.class = org.apache.turbine.services.security.torque.om.TurbineRolePeer
     security.torque.rolePeer.column.name       = ROLE_NAME
     security.torque.rolePeer.column.id         = ROLE_ID

     security.torque.role.class = org.apache.turbine.services.security.torque.om.TurbineRole
     security.torque.role.property.name       = Name
     security.torque.role.property.id         = RoleId

If security.torque.role.class is unset, then the value of the constant CLASSNAME_DEFAULT from the configured Peer is used.

Version:
  $Id: RolePeerManagerConstants.java 534527 2007-05-02 16:10:59Z tv $
Author:
  Henning P. Schmiedehausen

Field Summary
`static String` | `ROLE_CLASS_KEY` The key within the security service properties for the role class implementation
`static String` | `ROLE_ID_COLUMN_DEFAULT` The default value for the column name constant for the id field.
`static String` | `ROLE_ID_COLUMN_KEY` The column name for the id field.
`static String` | `ROLE_ID_PROPERTY_DEFAULT` The default value of the bean property for the id field.
`static String` | `ROLE_ID_PROPERTY_KEY` The property name of the bean property for the id field.
`static String` | `ROLE_NAME_COLUMN_DEFAULT` The default value for the column name constant for the login name field.
`static String` | `ROLE_NAME_COLUMN_KEY` The column name for the login name field.
`static String` | `ROLE_NAME_PROPERTY_DEFAULT` The default value of the bean property for the login name field.
`static String` | `ROLE_NAME_PROPERTY_KEY` The property name of the bean property for the login name field.
`static String` | `ROLE_PEER_CLASS_DEFAULT` Role peer default class
`static String` | `ROLE_PEER_CLASS_KEY` The key within the security service properties for the role peer class implementation

Field Detail

### ROLE_CLASS_KEY

    static final String ROLE_CLASS_KEY

  The key within the security service properties for the role class implementation

  See Also:
    Constant Field Values

### ROLE_PEER_CLASS_KEY

    static final String ROLE_PEER_CLASS_KEY

  The key within the security service properties for the role peer class implementation

  See Also:
    Constant Field Values

### ROLE_PEER_CLASS_DEFAULT

    static final String ROLE_PEER_CLASS_DEFAULT

  Role peer default class

### ROLE_NAME_COLUMN_KEY

    static final String ROLE_NAME_COLUMN_KEY

  The column name for the login name field.

  See Also:
    Constant Field Values

### ROLE_ID_COLUMN_KEY

    static final String ROLE_ID_COLUMN_KEY

  The column name for the id field.

  See Also:
    Constant Field Values

### ROLE_NAME_COLUMN_DEFAULT

    static final String ROLE_NAME_COLUMN_DEFAULT

  The default value for the column name constant for the login name field.

  See Also:
    Constant Field Values

### ROLE_ID_COLUMN_DEFAULT

    static final String ROLE_ID_COLUMN_DEFAULT

  The default value for the column name constant for the id field.

  See Also:
    Constant Field Values

### ROLE_NAME_PROPERTY_KEY

    static final String ROLE_NAME_PROPERTY_KEY

  The property name of the bean property for the login name field.

  See Also:
    Constant Field Values

### ROLE_ID_PROPERTY_KEY

    static final String ROLE_ID_PROPERTY_KEY

  The property name of the bean property for the id field.

  See Also:
    Constant Field Values

### ROLE_NAME_PROPERTY_DEFAULT

    static final String ROLE_NAME_PROPERTY_DEFAULT

  The default value of the bean property for the login name field.

  See Also:
    Constant Field Values

### ROLE_ID_PROPERTY_DEFAULT

    static final String ROLE_ID_PROPERTY_DEFAULT

  The default value of the bean property for the id field.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.